Subject: Re: [hrpc] [dns-privacy] WG Call for Adoption: draft-pp-recursive-authoritative-opportunistic

From: Paul Wouters <[email-masked]>
Date: Sun, 14 Feb 2021 20:49:20 -0500 (EST)

On Sat, 13 Feb 2021, Eric Rescorla wrote:

> I must say, I find this rather surprising.

> This thread had responses from 6 people, of whom three (Manu Bretelle, Paul Hoffman, and Stephen Farrell) expressed support for adoption, two
> (Paul Wouters and myself) expressed opposition, and one (Jim Reid) expressed an unclear but skeptical position. On what basis are you calling
> that consensus?

I'm also a bit surprised here. If anything, I would say there is no
clear interest to move forward with adoption yet, and the authors
should try to gain more support by finding more proponents or
by working with those who were against the proposal towards a
different method to solve the problems at hand.

The issue I have with the document overal, is that it presents
opportunistic as a step towards an authenticated solution, while
we have seen from disucssions in the past (eg overloading the DS
record for publishing public keys without leaking privacy) that
there is no way forward from opportunistic to authenticated. The
two problems are not two steps in the same direction.

I've added HRPC to the CC: so that they may also chime in with
their opinions about the possible negative affects of this draft.

Paul

> 
> On Sat, Feb 13, 2021 at 6:27 AM Brian Haberman <[email-masked]> wrote:
>       All,
>            The WGLC for adoption for this draft has completed. The chairs have
>       determined that there is consensus to adopt this document as a DPRIVE
>       working group document.
>
>            The authors should publish the next version of the document as
>       draft-ietf-dprive-recursive-authoritative-opportunistic-00. The intended
>       status of the document will be a part of the WG discussion on this draft.
>
>       Regards,
>       Brian & Tim
>
>       On 1/29/21 8:24 AM, Brian Haberman wrote:
>       > All,
>       >      This starts a DPRIVE WG call for adoption for
>       > draft-pp-recursive-authoritative-opportunistic
>       > (https://datatracker.ietf.org/doc/draft-pp-recursive-authoritative-opportunistic/).
>       > The focus of the call is the protocol defined in the draft. Please reply
>       > to the mailing list with your views on the WG adopting the document and
>       > your supporting arguments.
>       >
>       >      This call will end on February 12, 2021 at 11:59pm UTC.
>       >
>       > Regards,
>       > Brian & Tim
>       >
>
>       _______________________________________________
>       dns-privacy mailing list
>       [email-masked]
>       https://www.ietf.org/mailman/listinfo/dns-privacy
> 
> 
>